# Class ValidationError

#### Hierarchy

- Error
  - ValidationError

- Defined in node_modules/@types/xml2js/index.d.ts:89

##### Index

### Constructors

constructor

### Properties

cause?
message
name
stack?
prepareStackTrace?
stackTraceLimit

### Methods

captureStackTrace

## Constructors

### constructor

- new ValidationError(message: string): ValidationError

  #### Parameters

  - message: string

  #### Returns ValidationError

  Overrides Error.constructor

  - Defined in node_modules/@types/xml2js/index.d.ts:90

## Properties

### `Optional` cause

cause?: unknown

Inherited from Error.cause

- Defined in node_modules/typescript/lib/lib.es2022.error.d.ts:26

### message

message: string

Inherited from Error.message

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1076

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:1078

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: (err: Error, stackTraces: CallSite []) => any

Optional override for formatting stack traces

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:143

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:145

## Methods

### `Static` captureStackTrace

- captureStackTrace(targetObject: object, constructorOpt?: Function): void

  Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:136